<!DOCTYPE html>
<html>
    <head>
        <title>Highschool Online | Tutor Panel</title>
        <meta charset="utf-8">
        <link rel="shortcut icon" type="image/png" href="../assets/img/logo.png"/>
        <link href="https://fonts.googleapis.com/css?family=Roboto" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Domine" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Raleway" rel="stylesheet">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="../assets/css/uikit.min.css" />
        <script src="../assets/js/uikit.min.js"></script>
        <script src="../assets/js/uikit-icons.min.js"></script>
        <style>
            * {
                font-family: 'Roboto', sans-serif!important;
                /*border-radius: 5px!important;*/
            }
            ul li {
              font-family: 'Raleway', sans-serif!important;
            }
            .uk-border-circle {
                border-radius: 100%!important;
            }
            h1, h1>span, h2, h3, h4 {
                font-family: 'Domine', serif!important;
            }
            .uk-navbar-item, .uk-navbar-nav>li>a, .uk-navbar-toggle {
                min-height: 60px!important;
            }
        </style>
    </head>
    <body class="uk-hidden uk-visible@m">
        <div class="uk-margin-remove uk-grid-collapse" uk-grid>
            <div class="uk-width-1-6 uk-height-viewport uk-background-secondary uk-box-shadow-xlarge" style="max-height: 100vh; overflow: auto; background: #162c42; color: #fff !important;">
                <nav class="uk-box-shadow-medium uk-navbar-container uk-navbar-sticky uk-navbar-transparent uk-light" style="background: #0f161c;" uk-navbar uk-sticky="sel-target: .uk-navbar-container; cls-active: uk-navbar-sticky">
                  <div class="uk-navbar-left">
                      <ul class="uk-navbar-nav">
                          <li class="uk-active uk-padding-remove uk-margin-remove"><a href="#"><img src="../assets/img/logo.png" style="height: 40px;" class="uk-border-circle">&nbsp; Tutor's Panel</a></li>
                      </ul>
                  </div>
                </nav>
                <div class="">
                    <ul class="uk-list uk-list-large uk-light uk-padding">
                    </ul>
                </div>
            </div>
            <div class="uk-position-relative uk-width-5-6 uk-height-viewport" style="max-height: 100vh; overflow: auto; background: #f0f2ff;">
            <nav class="uk-box-shadow-medium uk-navbar-container uk-navbar-sticky uk-navbar-transparent" style="background: #fff;" uk-navbar uk-sticky="sel-target: .uk-navbar-container; cls-active: uk-navbar-sticky">
              <div class="uk-navbar-left">
                  <ul class="uk-navbar-nav">
                  </ul>
              </div>
              <div class="uk-navbar-right">
                  <ul class="uk-navbar-nav">
                      <li class="uk-active uk-padding-remove uk-margin-remove"><a href="#"><span uk-icon="icon: home"></span></a></li>
                      <li><a href="/logout" class="uk-button uk-button-link"><i uk-icon="sign-out"></i> </a></li>
                  </ul>
              </div>
            </nav>
              <div class="uk-container uk-container-expand uk-margin-medium-top">
                <h3 class="uk-h3">Subjects</h3>
                <div class="uk-child-width-1-2 uk-grid-match subjects-grid" uk-grid>
                </div>
              </div>
            <!-- <div class="uk-section">
                <div class="uk-text-center">Highschool Online &copy; 2019</div>
            </div> -->
            </div>
        </div>
    </body>

    <div id="add-programme" uk-modal>
        <div class="uk-modal-dialog">
            <button class="uk-modal-close-default" type="button" uk-close></button>
            <div class="uk-modal-header">
                <h2 class="uk-modal-title">Add Programme</h2>
            </div>
            <form id="add-programme">
                <div class="uk-modal-body">
                    <div class="uk-margin">
                        <input type="text" class="uk-input uk-width-1-1" placeholder="Programme Title..." name="name">
                    </div>
                    <div class="uk-margin uk-grid-divider" style="margin-left: 0!important" uk-grid>
                        <label class="uk-button uk-button-secondary uk-width-1-2" for="course-image">Programme Image</label>
                        <label class="uk-button uk-button-secondary uk-width-1-2" for="course-video">Intro Video</label>

                        <input type="file" hidden id="course-image" accept="image/*" name="image">
                        <input type="file" hidden id="course-video" accept="video/*" name="video">
                    </div>
                    <div class="uk-margin">
                        <textarea type="file" name="description" placeholder="Programme Description" class="uk-textarea" rows="5"></textarea>
                    </div>
                </div>
                <div class="uk-padding-small uk-padding-remove-vertical">
                    <progress id="js-progressbar" class="uk-progress" max="100"></progress>
                </div>
                <div class="uk-modal-footer uk-text-right">
                    <button class="uk-button uk-button-default uk-modal-close" type="button">Cancel</button>
                    <button type="submit" class="uk-button uk-button-primary">Upload</button>
                </div>
            </form>
        </div>
    </div>

    <div id="add-subject-modal" uk-modal>
        <div class="uk-modal-dialog">
            <button class="uk-modal-close-default" type="button" uk-close></button>
            <div class="uk-modal-header">
                <h2 class="uk-modal-title">Add Subject</h2>
            </div>
            <form id="add-subject">
                <div class="uk-modal-body">
                    <div class="uk-margin">
                        <input type="text" class="uk-input uk-width-1-1" placeholder="Programme Title..." name="name">
                    </div>
                    <div class="uk-margin uk-grid-divider" style="margin-left: 0!important" uk-grid>
                        <label class="uk-button uk-button-secondary uk-width-1-2" for="subject-image">Subject Image</label>
                        <label class="uk-button uk-button-secondary uk-width-1-2" for="subject-video">Intro Video</label>

                        <input type="file" hidden id="subject-image" accept="image/*" name="image">
                        <input type="file" hidden id="subject-video" accept="video/*" name="video">
                    </div>
                    <div class="uk-margin">
                        <textarea type="file" name="subject-description" placeholder="Programme Description" class="uk-textarea" rows="5"></textarea>
                    </div>
                    <div class="uk-margin uk-grid-small uk-child-width-auto uk-grid">
                        <label><input class="uk-checkbox" type="checkbox" name="core_subject"> This is a core subject</label>
                    </div>
                </div>
                <div class="uk-padding-small uk-padding-remove-vertical">
                    <progress id="js-progressbar2" class="uk-progress" max="100"></progress>
                </div>
                <div class="uk-modal-footer uk-text-right">
                    <button class="uk-button uk-button-default uk-modal-close" type="button">Cancel</button>
                    <button type="submit" class="uk-button uk-button-primary">Upload</button>
                </div>
            </form>
        </div>
    </div>

    <div id="add-teacher-modal" uk-modal>
        <div class="uk-modal-dialog">
            <button class="uk-modal-close-default" type="button" uk-close></button>
            <div class="uk-modal-header">
                <h2 class="uk-modal-title">Add Teacher</h2>
            </div>
            <form id="add-subject">
                <div class="uk-modal-body">
                    <div class="uk-margin">
                        <input type="text" class="uk-input uk-width-1-1" placeholder="Programme Title..." name="name">
                    </div>
                    <div class="uk-margin uk-grid-divider" style="margin-left: 0!important" uk-grid>
                        <label class="uk-button uk-button-secondary uk-width-1-2" for="subject-image">Subject Image</label>
                        <label class="uk-button uk-button-secondary uk-width-1-2" for="subject-video">Intro Video</label>

                        <input type="file" hidden id="subject-image" accept="image/*" name="image">
                        <input type="file" hidden id="subject-video" accept="video/*" name="video">
                    </div>
                    <div class="uk-margin">
                        <textarea type="file" name="subject-description" placeholder="Programme Description" class="uk-textarea" rows="5"></textarea>
                    </div>
                    <div class="uk-margin uk-grid-small uk-child-width-auto uk-grid">
                        <label><input class="uk-checkbox" type="checkbox" name="core_subject"> This is a core subject</label>
                    </div>
                </div>
                <div class="uk-padding-small uk-padding-remove-vertical">
                    <progress id="js-progressbar2" class="uk-progress" max="100"></progress>
                </div>
                <div class="uk-modal-footer uk-text-right">
                    <button class="uk-button uk-button-default uk-modal-close" type="button">Cancel</button>
                    <button type="submit" class="uk-button uk-button-primary">Upload</button>
                </div>
            </form>
        </div>
    </div>

    <div class="uk-alert uk-alert-success uk-container uk-position-top-center uk-hidden" style="z-index: 1000000" uk-alert>
        <a class="uk-alert-close" uk-close></a>
        <p class="success-text">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt.</p>
    </div>
    <div class="uk-alert uk-alert-danger uk-container uk-position-top-center uk-hidden" style="z-index: 1000000" uk-alert>
        <a class="uk-alert-close" uk-close></a>
        <p class="error-text">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt.</p>
    </div>
    <script src="https://code.jquery.com/jquery-3.3.1.js" integrity="sha256-2Kok7MbOyxpgUVvAk/HJ2jigOSYS2auK4Pfzbm7uH60=" crossorigin="anonymous"></script>
    <script src="https://www.gstatic.com/firebasejs/5.8.2/firebase-app.js"></script>
    <script src="https://www.gstatic.com/firebasejs/5.8.2/firebase-auth.js"></script>
    <script src="https://www.gstatic.com/firebasejs/5.8.2/firebase-database.js"></script>
    <script src="https://www.gstatic.com/firebasejs/5.8.2/firebase-firestore.js"></script>
    <script src="https://www.gstatic.com/firebasejs/5.8.2/firebase-storage.js"></script>
    <script src="../assets/js/config.js"></script>
    <script>
        firebase.auth().onAuthStateChanged(function(user) {
          if (user) {
            firebase.firestore().collection('teachers').doc(user.uid).get()
            .then(function (doc) {
                if (doc.exists) {
                    for(var v in doc.data().subjects) {
                        let sub = doc.data().subjects[v]
                        $('.subjects-grid').append(`
                            <div>
                                <div class="uk-card uk-card-default uk-card-body uk-padding-large">
                                    <div uk-grid>
                                        <div class="uk-width-1-3 uk-margin-auto-vertical">
                                            <h3 class="uk-card-title"><span uk-icon="icon: pencil; ratio: 3.5"></span></h3>
                                        </div>
                                        <div class="uk-width-2-3 uk-text-right">
                                            <h3 class="uk-text-capitalize">${sub.replace(/-/g, ' ')}</h3>
                                            <p><a href="/tutor/${sub}">View Subject</a></p>
                                        </div>
                                    </div>
                                </div>
                            </div>`
                        )
                    }
                    $('body').removeClass('uk-hidden')
                } else {
                    window.location.href = '/tutor/sign-in'
                }
            })
            // User is signed in.
            var displayName = user.displayName;
            var email = user.email;
            var emailVerified = user.emailVerified;
            var photoURL = user.photoURL;
            var isAnonymous = user.isAnonymous;
            var uid = user.uid;
            var providerData = user.providerData;
            // ...
          } else {
            // User is signed out.
            // ...
            window.location.href = '/tutor/sign-in'
          }
        });
    </script>

</html>